﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace XamDataGridFieldLayouts
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            Data = new ObservableCollection<Data>();

            for (int i = 1; i < 11; i++)
            {
                Data.Add(new Data { Factor1 = "Factor" + i, Factor2 = "Factor" + (i + 10), Scenario1 = "Scenario " + i });   
            }

            DataContext = this;
        }

        public ObservableCollection<Data> Data { get; set; }
    }

    public class Data
    {
        public string Factor1 { get; set; }
        public string Factor2 { get; set; }
        public string Scenario1 { get; set; }

    }
}
